package com.qmth.teachcloud.mark.bean.vo.parseCard;

public class Struct {

    private String qType;
    private int mainNumber;
    private int subNumber;
    private String mainTitle;
    private int type;
    private Boolean isObjective;
    private String typeName;
    private int optionCount;
    private int paperIndex;
    private int pageIndex;
    // 标答
    private String answer;
    // 小题满分
    private Double score;

    public String getqType() {
        return qType;
    }

    public void setqType(String qType) {
        this.qType = qType;
    }

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public int getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(int subNumber) {
        this.subNumber = subNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Boolean getObjective() {
        return isObjective;
    }

    public void setObjective(Boolean objective) {
        isObjective = objective;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public int getOptionCount() {
        return optionCount;
    }

    public void setOptionCount(int optionCount) {
        this.optionCount = optionCount;
    }

    public int getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(int paperIndex) {
        this.paperIndex = paperIndex;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
